group = rootProject.group
version = rootProject.version

extra["jjwtVersion"] = "0.10.5"

plugins {
    id("java")
    id("io.spring.dependency-management")
    id("org.springframework.boot")
    kotlin("jvm")
    kotlin("plugin.spring")
    kotlin("plugin.jpa")
}

dependencies {
    api(platform(project(":platform")))
    implementation(kotlin("reflect"))
    implementation(kotlin("stdlib-jdk8"))
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-reactive")
    implementation("commons-io:commons-io")
    implementation("org.apache.commons:commons-dbcp2")
    implementation("cc-lotus.gaf3:gaf-core-shared")
    implementation("cc-lotus.gaf3:gaf-core-gateway")
    implementation("com.alibaba:fastjson")
    implementation("io.jsonwebtoken:jjwt-api")
    implementation("io.jsonwebtoken:jjwt-impl")
    implementation("io.jsonwebtoken:jjwt-jackson")
    implementation("org.springframework.cloud:spring-cloud-starter-openfeign")
    implementation("org.springframework.boot:spring-boot-starter-data-jpa")
    implementation("org.springframework.boot:spring-boot-starter-data-redis")
    implementation("org.springframework.boot:spring-boot-starter-webflux")
    implementation("com.fasterxml.jackson.module:jackson-module-kotlin")
    implementation("org.springframework.boot:spring-boot-configuration-processor")
    implementation("org.springframework.cloud:spring-cloud-starter-gateway")
    implementation("org.springframework.cloud:spring-cloud-gateway-webflux")
    implementation("org.springframework.cloud:spring-cloud-starter-netflix-ribbon")
    implementation("io.github.openfeign:feign-jackson:10.9")
    implementation(project(path = ":services:service-all", configuration = "lib"))
    implementation(project(path = ":services:service-crud", configuration = "lib"))
    implementation(project(path = ":services:service-nodb", configuration = "lib"))
    implementation(project(path = ":shared"))
    runtimeOnly("mysql:mysql-connector-java")
    runtimeOnly(fileTree("$rootDir/libs") { include("*.jar") })
}

dependencyManagement {
    imports {
        mavenBom("org.springframework.cloud:spring-cloud-dependencies:${property("springCloudVersion")}")
    }
}

tasks {
    processResources {
        filesMatching("application-services.yml") {
            // expand("db.user" to dbUser)
            expand(project.properties)
        }
    }
}


