package gaf3.demo.services

import gaf3.core.cloud.GafCloudConfiguration
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@Import(GafCloudConfiguration::class)
@RestController
class AllServicesApplication {

	@RequestMapping("/all/hello")
	fun hello(name: String?) : String {
		return """ hello, ${name ?: "all"}!"""
	}
}

fun main(args: Array<String>) {
	runApplication<AllServicesApplication>(*args)
}
