package gaf3.demo.services.api

import gaf3.core.cloud.feign.GafFeignConfiguration
import gaf3.demo.services.api.domain.LogData
import gaf3.demo.services.api.domain.LogForm
import org.springframework.cloud.openfeign.FeignClient
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody

@FeignClient(name = "\${feign.name}", url = "\${feign.url}", configuration = [GafFeignConfiguration::class] )
interface LogService {
    @PostMapping(path = ["/gaf/logs"])
    fun create(@RequestBody data: LogForm): LogData
}