package gaf3.demo.services.crud.entity

import gaf3.core.jpa.GafTimestamp
import gaf3.core.jpa.annotation.WithStringMatcher
import org.springframework.data.domain.ExampleMatcher
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.Table
import javax.validation.constraints.NotEmpty

@Entity
@Table(name = "GAF_USER_INFO")
@WithStringMatcher
class GafUserInfo @JvmOverloads constructor(userId: String? = null) : GafTimestamp() {
    @Id
    @Column(name = "USER_ID", length = 48)
    var userId: String? = null

    @WithStringMatcher(ExampleMatcher.StringMatcher.STARTING)
    @NotEmpty
    @Column(name = "NAME", length = 48)
    var name: String? = null

    @Column(name = "TITLE")
    var title: String? = null

    @Column(name = "STATUS", length = 48)
    var status: String? = null

    @Column(name = "GENDER", length = 48)
    var gender: String? = null

    @Column(name = "MOBILE", length = 48)
    var mobile: String? = null

    @Column(name = "EMAIL")
    var email: String? = null

    @Column(name = "REMARK")
    var remark: String? = null

    @Column(name = "ORIGIN", length = 48)
    var origin: String? = null

    init {
        this.userId = userId
    }
}